Bug 974488 - [abrt] unison240-2.40.102-2.fc18: gtk_tree_model_get_valist: Process /usr/bin/unison-2.40 was killed by signal 11 (SIGSEGV)
[abrt] unison240-2.40.102-2.fc18: gtk_tree_model_get_valist: Process /usr/bin...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:a541457b7e11e27b2d16516fe16...
:
: 975672 1013009 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-14 05:17 EDT by Mohammed Arafa
Modified: 2014-12-25 23:51 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:49:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (37.44 KB, text/plain)
2013-06-14 05:18 EDT, Mohammed Arafa
no flags Details
File: cgroup (129 bytes, text/plain)
2013-06-14 05:18 EDT, Mohammed Arafa
no flags Details
File: core_backtrace (7.63 KB, text/plain)
2013-06-14 05:18 EDT, Mohammed Arafa
no flags Details
File: dso_list (6.90 KB, text/plain)
2013-06-14 05:18 EDT, Mohammed Arafa
no flags Details
File: environ (3.47 KB, text/plain)
2013-06-14 05:18 EDT, Mohammed Arafa
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-14 05:18 EDT, Mohammed Arafa
no flags Details
File: maps (34.05 KB, text/plain)
2013-06-14 05:18 EDT, Mohammed Arafa
no flags Details
File: open_fds (267 bytes, text/plain)
2013-06-14 05:18 EDT, Mohammed Arafa
no flags Details
File: proc_pid_status (935 bytes, text/plain)
2013-06-14 05:18 EDT, Mohammed Arafa
no flags Details

  None (edit)
Description Mohammed Arafa 2013-06-14 05:17:59 EDT
Version-Release number of selected component:
unison240-2.40.102-2.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        unison
crash_function: gtk_tree_model_get_valist
executable:     /usr/bin/unison-2.40
kernel:         3.9.5-201.fc18.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Jun 14 10:48:43 desktop abrt[14147]: Saved core dump of pid 14141 (/usr/bin/unison-2.40) to /var/tmp/abrt/ccpp-2013-06-14-10:48:42-14141 (39792640 bytes)
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_tree_model_get_valist at gtktreemodel.c:1470
 #1 gtk_tree_model_get at gtktreemodel.c:1432
 #2 combo_box_row_separator_func at gtkfilechooserbutton.c:2365
 #3 tree_column_row_is_sensitive at gtkcombobox.c:1904
 #4 gtk_combo_box_list_button_released at gtkcombobox.c:4160
 #5 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #10 gtk_widget_event_internal at gtkwidget.c:5017
 #11 gtk_widget_event at gtkwidget.c:4814
 #12 gtk_propagate_event at gtkmain.c:2490
 #13 gtk_main_do_event at gtkmain.c:1685
Comment 1 Mohammed Arafa 2013-06-14 05:18:08 EDT
Created attachment 761184 [details]
File: backtrace
Comment 2 Mohammed Arafa 2013-06-14 05:18:11 EDT
Created attachment 761185 [details]
File: cgroup
Comment 3 Mohammed Arafa 2013-06-14 05:18:16 EDT
Created attachment 761186 [details]
File: core_backtrace
Comment 4 Mohammed Arafa 2013-06-14 05:18:23 EDT
Created attachment 761187 [details]
File: dso_list
Comment 5 Mohammed Arafa 2013-06-14 05:18:28 EDT
Created attachment 761188 [details]
File: environ
Comment 6 Mohammed Arafa 2013-06-14 05:18:32 EDT
Created attachment 761189 [details]
File: limits
Comment 7 Mohammed Arafa 2013-06-14 05:18:39 EDT
Created attachment 761190 [details]
File: maps
Comment 8 Mohammed Arafa 2013-06-14 05:18:42 EDT
Created attachment 761191 [details]
File: open_fds
Comment 9 Mohammed Arafa 2013-06-14 05:18:45 EDT
Created attachment 761192 [details]
File: proc_pid_status
Comment 10 Zoltán Hajdu 2013-06-14 05:37:49 EDT
When creating a profile, in the "directory selection" step changing "local directory" dropdown the program crashes.

reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/bin/unison-2.40
crash_function: gtk_tree_model_get_valist
executable:     /usr/bin/unison-2.40
kernel:         3.9.5-201.fc18.x86_64
package:        unison240-2.40.102-2.fc18
reason:         Process /usr/bin/unison-2.40 was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            1000
Comment 11 Gregor Tätzner 2013-06-14 13:36:11 EDT
that used to work in f17, didn't it?
Comment 12 Zoltán Hajdu 2013-06-14 14:10:10 EDT
(In reply to Gregor Tätzner from comment #11)
> that used to work in f17, didn't it?

Thanks for reply!
I work with f18.
Comment 13 Gregor Tätzner 2013-06-22 13:27:32 EDT
*** Bug 975672 has been marked as a duplicate of this bug. ***
Comment 14 markusN 2013-07-11 08:02:47 EDT
Same problem on a F18 installation here...
Comment 15 Gregor Tätzner 2013-09-29 04:06:20 EDT
*** Bug 1013009 has been marked as a duplicate of this bug. ***
Comment 16 Tom 2013-12-02 19:13:26 EST
creating a new profile using the K desktop environment.  This doesn't happen when using the gnome desktop.

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/unison-gtk-2.40
crash_function: gtk_tree_model_get_valist
executable:     /usr/bin/unison-gtk-2.40
kernel:         3.11.9-200.fc19.i686
package:        unison240-gtk-2.40.102-5.fc19
reason:         Process /usr/bin/unison-gtk-2.40 was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 17 Fedora End Of Life 2013-12-21 09:00:40 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2014-02-05 16:49:31 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 19 Jacob Welsh 2014-12-03 19:33:40 EST
Still broken in f19. I don't have an f20 machine handy to test right now.
Comment 20 Luke Hollins 2014-12-24 21:07:04 EST
Still broken in F20
Program received signal SIGSEGV, Segmentation fault.
0x000000341e435a12 in gtk_tree_model_get_valist ()

Note You need to log in before you can comment on or make changes to this bug.